<ion-view title="Editar expositor" ng-controller="exhibitorEditCtrl as ctrl">
	<div class="container" style="padding-top: 50px; padding-bottom: 50px">

		<div class="row">
			<div class="col-sm-12">
				<h4>Información General:</h4>
				<hr>
				<form class="form-horizontal">

					<div class="form-group">
						<label class="col-sm-2 control-label">Empresa:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								   ng-model="ctrl.sponsor.company"
								   placeholder="Partnership">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Representante comercial:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
										 ng-model="ctrl.sponsor.representative"
										 placeholder="Jhon Doe">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Dirección:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" ng-model="ctrl.sponsor.address">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Número de teléfono:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" ng-model="ctrl.sponsor.pnumber">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Ciudad:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" ng-model="ctrl.sponsor.city">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">País:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
										 ng-model="ctrl.sponsor.country">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Email:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
										 ng-model="ctrl.sponsor.email">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Sitio Web:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								   ng-model="ctrl.sponsor.website"
								   placeholder="http://">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Área de actividad:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" ng-model="ctrl.sponsor.activityArea">
						</div>
					</div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Productos & servicios:</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" ng-model="ctrl.sponsor.services">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Pabellón:</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" ng-model="ctrl.sponsor.pavilion">
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Stand:</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" ng-model="ctrl.sponsor.stand">
            </div>
          </div>

					<!-- upload image -->
					<div class="form-group">

						<label class="col-sm-2 control-label">Logo:</label>
						<div class="col-sm-10">
							<p>Dimensions 250 x 250 pixels</p>
							<div class="row">
								<div class="col-sm-2 logo-exhibitor">
									<img ng-src="{{ctrl.sponsor.logo}}" class="img-thumbnail" ng-if="ctrl.sponsor.logo">
								</div>
							</div>

							<button type="button" class="btn btn-success"
									ngf-select ngf-change="ctrl.image($files, 'logo')"
									ngf-multiple="false">
								Upload Image
							</button>
							<button type="button" class="btn btn-danger"
									ng-if="ctrl.sponsor.logo"
									ng-click="ctrl.deleteImg('logo')">
								Delete Image
							</button>
						</div>
					</div>

					<!-- textarea -->
					<div class="form-group">
						<label class="col-sm-2 control-label">Descripción:</label>
						<div class="col-sm-10">
							<text-angular ng-model="ctrl.sponsor.description"></text-angular>
						</div>
					</div>

					<!-- social -->
					<div class="form-group">
						<label class="col-sm-2 control-label">LinkedIn:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								   ng-model="ctrl.sponsor.linkedin"
								   placeholder="linkkedin url">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Twitter:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								   ng-model="ctrl.sponsor.twitter"
								   placeholder="@profile">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Facebook:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								   ng-model="ctrl.sponsor.facebook"
								   placeholder="facebook url">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Youtube:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								   ng-model="ctrl.sponsor.youtube"
								   placeholder="youtube channel url">
						</div>
					</div>

					<!-- submit form -->
					<div class="form-group">
						<div class="col-sm-offset-2 col-sm-10">
							<hr>
							<button type="button" class="btn btn-success" ng-click="ctrl.saveSponsor()">
								Update
							</button>
						</div>
					</div>

				</form>
			</div><!--- /.col -->
		</div><!-- /.row -->

	</div><!-- /.container -->
</ion-view>
